spring:
  application:
    name: shipping
  zipkin:
    base-url: https://training-zipkin-013.herokuapp.com
  sleuth:
    sampler:
      percentage: 1.0
  jpa:
    hibernate:
      ddl-auto: validate
  cloud:
    config:
      discovery:
        enabled: true
        service-id: configservice
      fail-fast: true

security:
  oauth2:
    client:
      client-id: authcodeclient
      client-secret: authcode321
      resource-ids: marketplace
    resource:
      token-info-uri: https://training-account-013.herokuapp.com/oauth/check_token

---
spring:
  profiles: heroku
eureka:
  instance:
    hostname: training-shipping-013.herokuapp.com
  client:
      serviceUrl:
        defaultZone: https://training-discovery-013.herokuapp.com/eureka/,https://training-discovery-014.herokuapp.com/eureka/